#! /usr/bin/python2.4
# Copyright (C) 2007 by Intevation GmbH
# Authors:
# Bernhard Herzog <bh@intevation.de>
#
# This program is free software under the GPL (>=v2)
# Read the file COPYING coming with the software for details.

"""Reports the current status of the tree packager"""

import sys
import os
from optparse import OptionParser

import treepkgcmd
from treepkg.options import create_parser
from treepkg.report import get_packager_group, prepare_report

def parse_commandline():
    return create_parser().parse_args()


def report_text(group):
    report = prepare_report(group)
    for revno, row in report.revisions:
        for col in row:
            if col:
                print "%s %s: %s" % (col.name, revno, col.status.desc)
                if col.status.start:
                    print "    Start:", col.status.start
                    print "     Stop:", col.status.stop
                print

def main():
    options, args = parse_commandline()
    group = get_packager_group(options.config_file)
    report_text(group)


main()
